Package org.apache.sling.feature

# Enum ExtensionType

java.lang.Object
java.lang.Enum<ExtensionType>
org.apache.sling.feature.ExtensionType

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtensionType>`

public enum ExtensionType extends Enum<ExtensionType>
Enumeration for `Extension` types.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARTIFACTS`
`JSON`
`TEXT`

## Method Summary

Modifier and Type
Method
Description
`static ExtensionType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExtensionType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ARTIFACTS

public static final ExtensionType ARTIFACTS

### TEXT

public static final ExtensionType TEXT

### JSON

public static final ExtensionType JSON

## Method Details

### values

public static ExtensionType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ExtensionType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null